### Method

# Gtk Widget set_layout_manager

#### Declaration [src]

    void
    gtk_widget_set_layout_manager (
      GtkWidget* widget,
      GtkLayoutManager* layout_manager
    )

#### Description [src]

Sets the layout manager to use for measuring and allocating children of the widget.

Sets property | `Gtk.Widget:layout-manager`

#### Parameters

`layout_manager`

  Type: `GtkLayoutManager`

  A layout manager.

  The argument can be `NULL`.
  The instance takes ownership of the data, and is responsible for freeing it.